Subject: Re: bug#38088: Guix system becomes unresponsive after backtrace

From: Ludovic Courtès <[email-masked]>
Date: Wed, 06 Nov 2019 18:42:37 +0100

Hi Gábor,

Gábor Boskovits <[email-masked]> skribis:

> I did not know how to get the info better, so here is a screenshot
> about the situation.
>
> This happened when I was trying a pre-inst-env guix build from a
> core-updates checkout.
> Previously python3 failed to build, and I was trying to build it again.

>From the screenshot, it seems that your root file system (or at least
/tmp and /gnu/store) became read-only, which in turn caused various
things to fail, including guix-daemon (hence the “broken pipe” when
‘guix build’ was talking to it, I suppose.)

Could you check what happened on your machine?  Do /var/log/messages and
/var/log/guix-daemon.log contain any hints?

Thanks,
Ludo’.